Bug 232891 - Dragging the start of a selection from within a contenteditable=true to a nested contenteditable=false collapses it
Summary: Dragging the start of a selection from within a contenteditable=true to a nes...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: Safari 15
Hardware: iPhone / iPad iOS 15
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-11-09 10:02 PST by Jordan Scales
Modified: 2022-04-25 12:42 PDT (History)
6 users (show)

See Also:


Attachments
Minimum repro of the behavior. (1.17 KB, text/html)
2021-11-09 10:02 PST, Jordan Scales
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jordan Scales 2021-11-09 10:02:46 PST
Created attachment 443701 [details]
Minimum repro of the behavior.

Minimum repro: https://output.jsbin.com/ludusuf
User agent string: Mozilla/5.0 (iPhone; CPU iPhone OS 15_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/15.1 Mobile/15E148 Safari/604.1

Within an element with contenteditable=true after making a selection:

1. If we extend the "end" of the selection over an element with contenteditable=false, the selection proceeds smoothly and can be later modified.
2. If we extend the "start" of the selection over an element with contenteditable=false, the selection disappears and does not return.
Comment 1 Jordan Scales 2021-11-09 11:04:45 PST
Apologies - in the attached repro instructions the text which reads

> Not working
> On an iOS device, select some text from the left section

Should read

> Not working
> On an iOS device, select some text from the right section
Comment 2 Radar WebKit Bug Importer 2021-11-16 10:03:23 PST
<rdar://problem/85463524>
Comment 3 Brent Fulgham 2022-02-11 15:08:02 PST
The fix for this issue was needed outside the WebKit project, therefore this is being resolved as 'Moved'.

This issue should be fixed in an upcoming iOS 15.4 Beta.
Comment 4 Jordan Scales 2022-04-25 12:42:09 PDT
Issue still appears in 15.5 beta for me. Was the fix delayed?